Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 712308 - dev-lang/swi-prolog-8.1.22 : fails to build with -fno-common or gcc-10
Summary: dev-lang/swi-prolog-8.1.22 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: prolog herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-03-13 07:44 UTC by Toralf Förster
Modified: 2020-03-26 10:39 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.39 KB, text/plain)
2020-03-13 07:44 UTC, Toralf Förster
Details
dev-lang:swi-prolog-8.1.22:20200313-022008.log (dev-lang:swi-prolog-8.1.22:20200313-022008.log,138.91 KB, text/plain)
2020-03-13 07:44 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,137.04 KB, text/plain)
2020-03-13 07:44 UTC, Toralf Förster
Details
environment (environment,112.96 KB, text/plain)
2020-03-13 07:44 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.71 KB, application/x-bzip)
2020-03-13 07:44 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,19.53 KB, application/x-bzip)
2020-03-13 07:44 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-13 07:44:19 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/libswipl.dir/pl-wam.c.o:(.bss+0xd0): multiple definition of definition_chain; CMakeFiles/libswipl.dir/pl-atom.c.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/libswipl.dir/pl-arith.c.o:(.bss+0x0): multiple definition of definition_chain; CMakeFiles/libswipl.dir/pl-atom.c.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200310-141548

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.1 *


ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 12 Mar 2020 23:38:53 +0000

emerge -qpvO dev-lang/swi-prolog
[ebuild  N    ] dev-lang/swi-prolog-8.1.22  USE="berkdb gmp libedit pcre readline ssl -X -archive -debug -doc -java -libressl -minimal -odbc -qt5 -test -uuid -yaml"
Comment 1 Toralf Förster gentoo-dev 2020-03-13 07:44:22 UTC
Created attachment 618176 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-13 07:44:25 UTC
Created attachment 618178 [details]
dev-lang:swi-prolog-8.1.22:20200313-022008.log
Comment 3 Toralf Förster gentoo-dev 2020-03-13 07:44:28 UTC
Created attachment 618180 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-03-13 07:44:31 UTC
Created attachment 618182 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-03-13 07:44:34 UTC
Created attachment 618184 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-13 07:44:37 UTC
Created attachment 618186 [details]
logs.tbz2
Comment 7 Keri Harris gentoo-dev 2020-03-26 10:39:34 UTC
This is now fixed in git. Thanks for reporting this.